---
- hosts: local
  tasks:
    
    - name: Install the base packages for osx environments
      include_role:
        name: osx-base
      when: ansible_distribution == 'MacOSX'

    - name: Install the base packages for debian environments
      include_role:
        name: debian-base
      when: ansible_distribution == 'Debian' 
      
    - name: Install the ubuntu base environment
      include_role:
        name: ubuntu-base
      vars:
        ansible_become: yes
      when: ansible_distribution == 'Ubuntu'

    - name: Application - Hyper Multiplatform terminal console
      include_role:
         name: hyper
  

    





      